Skip to main content

Auvious RTC API v1.9.26

Auvious RTC API is the core set of services providing the realtime communication capabilities of the Auvious Platform.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /security/oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

Conferences​

Adds pre-authorized participant user IDs to a conference. Requires ROLE_SERVICE or a principal from the same organization as the target conference.​

PUT https://auvious.video/rtc-api/conferences/{id}/allowed-participants HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"userEndpointId": "string",
"participants": [
"string"
]
}

Parameters​

ParameterInTypeRequiredDescription
idpathstringtruenone
bodybodyAddAllowedParticipantsWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
403ForbiddenAuthenticated principal cannot mutate this conferenceNone
404Not FoundConference not foundNone
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X PUT https://auvious.video/rtc-api/conferences/{id}/allowed-participants \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

View request, when a user receives ConferenceStreamPublishedEvent, the next logical thing to is to view the stream, and to view a stream one needs to start with this request.​

POST https://auvious.video/rtc-api/conferences/viewStream HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"sdpOffer": "string",
"viewerId": "string",
"metadata": {
"property1": "string",
"property2": "string"
}
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyConferenceViewStreamWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConferenceStreamViewResult
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"viewerId": "string",
"sdpAnswer": "string"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/viewStream \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Updates conference stream metadata​

POST https://auvious.video/rtc-api/conferences/updateStreamMetadata HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"newMetadata": {
"property1": {},
"property2": {}
}
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyUpdateConferenceStreamMetadataWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/updateStreamMetadata \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Update the bitrate of a conference stream.​

POST https://auvious.video/rtc-api/conferences/updatePublishedStreamBitrate HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"videoBitrate": 30000
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyConferenceUpdatePublishedStreamBitrateWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
404Not FoundNot FoundNone
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/updatePublishedStreamBitrate \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Updates conference participant metadata​

POST https://auvious.video/rtc-api/conferences/updateParticipantMetadata HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"newMetadata": {
"property1": {},
"property2": {}
}
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyUpdateConferenceParticipantMetadataWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/updateParticipantMetadata \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Updates conference metadata​

POST https://auvious.video/rtc-api/conferences/updateMetadata HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"operation": "SET",
"key": "string",
"value": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyUpdateConferenceMetadataWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/updateMetadata \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Unpublish a stream from the conference.​

POST https://auvious.video/rtc-api/conferences/unpublishStream HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyConferenceUnpublishStreamWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/unpublishStream \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Request to stop viewing a stream. Should be called when leaving, or when ConferenceStreamUnpublishedEvent is received​

POST https://auvious.video/rtc-api/conferences/stopViewStream HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"viewerId": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyConferenceStopViewStreamWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/stopViewStream \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Sends event to all user endpoints that are currently joined on conference defined by conferenceId​

POST https://auvious.video/rtc-api/conferences/sendEvent HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Returns number of messages sent. Only users with 'SERVICE' role allowed

Request body​

{
"conferenceId": "string",
"qos": "BEST_EFFORT",
"event": {
"property1": {},
"property2": {}
},
"masks": [
"string"
]
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySendEventToConferenceWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKSendEventResponse
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/sendEvent \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Publish a stream to the conference.​

POST https://auvious.video/rtc-api/conferences/publishStream HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"conferenceStreamType": "MIC",
"sdpOffer": "string",
"metadata": {
"property1": {},
"property2": {}
},
"videoBitrate": 30000
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyConferencePublishStreamWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConferencePublishResult
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"streamId": "string",
"sdpAnswer": "string"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/publishStream \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Leaves a conference.​

POST https://auvious.video/rtc-api/conferences/leave HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"reason": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyLeaveConferenceWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/leave \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Joins a conference​

POST https://auvious.video/rtc-api/conferences/join HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"metadata": {
"property1": {},
"property2": {}
}
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyJoinConferenceWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConferenceSummary
400Bad RequestBad RequestAnotherErrorResponse
401UnauthorizedUnauthorizedInline
403ForbiddenForbiddenInline
404Not FoundNot FoundInline
422Unprocessable EntityConference Already Joined from same user and endpointInline
Response Schema​
Examples​

200 Response

{
"id": "string",
"version": 0,
"mode": "P2P"
}
caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/join \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'
POST https://auvious.video/rtc-api/conferences/interaction HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"interactionId": "string",
"userEndpointId": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodySetInteractionIdWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/interaction \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Ends a conference.​

POST https://auvious.video/rtc-api/conferences/end HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"reason": "string"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyEndConferenceWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/end \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Creates a conference.​

POST https://auvious.video/rtc-api/conferences/create HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: application/json

Request body​

{
"conferenceId": "string",
"mode": "P2P",
"organizationId": "string",
"creatorEndpoint": "string",
"interactionId": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"allowedParticipants": [
"string"
],
"securityScheme": "CUSTOMER_ALLOWLIST_OR_TICKET"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyCreateConferenceWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConferenceSummary
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"id": "string",
"version": 0,
"mode": "P2P"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/create \
-H 'Content-Type: application/json' \ -H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Adds ice candidates for a view stream request.​

POST https://auvious.video/rtc-api/conferences/addViewStreamIceCandidates HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"viewerId": "string",
"iceCandidates": [
{
"candidate": "string",
"sdpMid": "string",
"sdpMLineIndex": 0
}
]
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyConferenceViewStreamIceCandidatesWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/addViewStreamIceCandidates \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Adds ice candidates for a published stream. Must be called after publishStream request.​

POST https://auvious.video/rtc-api/conferences/addPublishStreamIceCandidates HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request body​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"iceCandidates": [
{
"candidate": "string",
"sdpMid": "string",
"sdpMLineIndex": 0
}
]
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyConferencePublishStreamIceCandidatesWebCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/conferences/addPublishStreamIceCandidates \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Get conference aggregate.​

GET https://auvious.video/rtc-api/conferences/{id} HTTP/1.1
Host: auvious.video
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
idpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConference
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"id": "string",
"mode": "P2P",
"organizationId": "string",
"interactionId": "string",
"creator": "string",
"creatorEndpoint": "string",
"participants": [
{
"id": "string",
"userId": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "MIC",
"metadata": {
"property1": {},
"property2": {}
},
"videoBitrate": 0
}
],
"metadata": {
"property1": {},
"property2": {}
}
}
],
"allowedParticipants": [
"string"
],
"securityScheme": "CUSTOMER_ALLOWLIST_OR_TICKET",
"metadata": {
"property1": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
},
"property2": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
}
},
"version": 0,
"empty": true
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/conferences/{id} \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Get a simple view of a conference, similar to full details but more convenient for some ui clients​

GET https://auvious.video/rtc-api/conferences/{id}/simpleView HTTP/1.1
Host: auvious.video
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
idpathstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKConferenceSimpleView
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"id": "string",
"mode": "string",
"metadata": {
"property1": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
},
"property2": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
}
},
"participants": [
{
"id": "string",
"endpoints": [
{
"id": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "string",
"metadata": {
"property1": {},
"property2": {}
}
}
],
"metadata": {
"property1": {},
"property2": {}
}
}
]
}
],
"version": 0
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/conferences/{id}/simpleView \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Get a list of all events of a conference, optionally since version v(query param). Blocks for a few seconds if no event is available at the time​

GET https://auvious.video/rtc-api/conferences/{id}/events?v=0 HTTP/1.1
Host: auvious.video
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
idpathstringtruenone
vqueryinteger(int64)truenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
400Bad RequestBad RequestInline
Response Schema​

Status Code 200

NameTypeRequiredRestrictionsDescription
anonymous[ConferenceEvent]falsenonenone
» idstringfalsenoneevent unique id
» typestringfalsenoneevent type
» timestampstring(date-time)falsenoneevent time, format is "yyyy-MM-dd'T'HH:mm:ss.SSS'Z'"
» conferenceIdstringfalsenonethe conference which this event belongs to
» organizationIdstringfalsenonethe organizationId
» conferenceVersioninteger(int64)falsenonethe conference version this event was produced- can be used for ordering and or deduplication. It contains the version of the conference when the event was generated or null for creation events

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

[
{
"id": "string",
"type": "string",
"timestamp": "2019-08-24T14:15:22Z",
"conferenceId": "string",
"organizationId": "string",
"conferenceVersion": 0
}
]

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/conferences/{id}/events?v=0 \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Gets a list of active conferences of the user organization​

GET https://auvious.video/rtc-api/conferences/active HTTP/1.1
Host: auvious.video
Accept: application/json

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
400Bad RequestBad RequestInline
Response Schema​

Status Code 200

NameTypeRequiredRestrictionsDescription
anonymous[Conference]falsenonenone
» idstringfalsenonenone
» modestringfalsenonenone
» organizationIdstringfalsenonenone
» interactionIdstringfalsenonenone
» creatorstringfalsenonenone
» creatorEndpointstringfalsenonenone
» participants[ConferenceParticipant]falsenonenone
»» idstringfalsenonenone
»» userIdstringfalsenonenone
»» statestringfalsenonenone
»» streams[ConferenceStream]falsenonenone
»»» idstringfalsenonenone
»»» typestringfalsenonenone
»»» metadataobjectfalsenonenone
»»»» additionalPropertiesobjectfalsenonenone
»»» videoBitrateinteger(int32)falsenonenone
»» metadataobjectfalsenonenone
»»» additionalPropertiesobjectfalsenonenone
» allowedParticipants[string]falsenonenone
» securitySchemestringfalsenonenone
» metadataobjectfalsenonenone
»» additionalPropertiesMetadatafalsenonenone
»»» valuestringfalsenonenone
»»» userIdstringfalsenonenone
»»» userEndpointIdstringfalsenonenone
»»» lastModifiedstring(date-time)falsenonenone
» versioninteger(int64)falsenonenone
» emptybooleanfalsenonenone
Enumerated Values​
PropertyValue
modeP2P
modeROUTER
modeUNKNOWN
stateHEALTHY
stateSICK
stateUNKNOWN
typeMIC
typeCAM
typeSCREEN
typeMIC_AND_CAM
typeUNKNOWN
securitySchemeCUSTOMER_ALLOWLIST_OR_TICKET

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

[
{
"id": "string",
"mode": "P2P",
"organizationId": "string",
"interactionId": "string",
"creator": "string",
"creatorEndpoint": "string",
"participants": [
{
"id": "string",
"userId": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "MIC",
"metadata": {
"property1": {},
"property2": {}
},
"videoBitrate": 0
}
],
"metadata": {
"property1": {},
"property2": {}
}
}
],
"allowedParticipants": [
"string"
],
"securityScheme": "CUSTOMER_ALLOWLIST_OR_TICKET",
"metadata": {
"property1": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
},
"property2": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
}
},
"version": 0,
"empty": true
}
]

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/conferences/active \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Schemas​

AddAllowedParticipantsWebCommand​

{
"userEndpointId": "string",
"participants": [
"string"
]
}

Properties​

NameTypeRequiredRestrictionsDescription
userEndpointIdstringfalsenoneOptional requester endpoint ID to persist on the emitted event.
participants[string]truenoneUser IDs to authorize for joining the conference.

ConferenceViewStreamWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"sdpOffer": "string",
"viewerId": "string",
"metadata": {
"property1": "string",
"property2": "string"
}
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id of the viewer. Mandatory.
streamIdstringtruenoneSupply the stream id to view. Mandatory.
sdpOfferstringtruenoneSupply the sdp offer. Mandatory.
viewerIdstringfalsenoneSupply the viewerId. Optional.
metadataobjectfalsenoneStream metadata. Optional.
» additionalPropertiesstringfalsenoneStream metadata. Optional.

ConferenceStreamViewResult​

{
"viewerId": "string",
"sdpAnswer": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
viewerIdstringfalsenonenone
sdpAnswerstringfalsenonenone

UpdateConferenceStreamMetadataWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"newMetadata": {
"property1": {},
"property2": {}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
streamIdstringtruenoneSupply the streamId. Optional.
newMetadataobjectfalsenoneSupply the metadata of the stream.
» additionalPropertiesobjectfalsenoneSupply the metadata of the stream.

ConferenceUpdatePublishedStreamBitrateWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"videoBitrate": 30000
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
streamIdstringfalsenoneSupply the streamId. Optional.
videoBitrateinteger(int32)truenoneStream video bitrate. Optional

UpdateConferenceParticipantMetadataWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"newMetadata": {
"property1": {},
"property2": {}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
newMetadataobjecttruenoneSupply the metadata of the user.
» additionalPropertiesobjectfalsenoneSupply the metadata of the user.

UpdateConferenceMetadataWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"operation": "SET",
"key": "string",
"value": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
operationstringtruenoneSupply the operation, SET or REMOVE. Mandatory.
keystringtruenoneSupply the key. Mandatory
valuestringfalsenoneSupply the value, if the operation is SET. Ignored if operation is REMOVE
Enumerated Values​
PropertyValue
operationSET
operationREMOVE
operationUNKNOWN

ConferenceUnpublishStreamWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
streamIdstringtruenoneSupply the stream id to unpublish. Mandatory.

ConferenceStopViewStreamWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"viewerId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
streamIdstringtruenoneSupply the stream id. Mandatory.
viewerIdstringtruenoneSupply the viewer id. Mandatory.

SendEventToConferenceWebCommand​

{
"conferenceId": "string",
"qos": "BEST_EFFORT",
"event": {
"property1": {},
"property2": {}
},
"masks": [
"string"
]
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneconference id the members of which will receive the message
qosstringtruenonedefine qos(optional), default is best effort
eventobjecttruenoneevent attributes, at least type and timestamp must be supplied with correct format. Format for type should begin with capital, end with Event, and use came case of at least a noun and a verb denoting what happened on what. Format for timestamp is ISO-8601 instant format e.g. '2011-12-03T10:15:30Z
» additionalPropertiesobjectfalsenoneevent attributes, at least type and timestamp must be supplied with correct format. Format for type should begin with capital, end with Event, and use came case of at least a noun and a verb denoting what happened on what. Format for timestamp is ISO-8601 instant format e.g. '2011-12-03T10:15:30Z
masks[string]falsenonemasks to apply, each item denotes a json path (https://github.com/json-path/JsonPath) syntax which will be applied on the event when stored or logged. By default no masks are applied. The masked fields must be of type string, and it will be replaced by a string of same length but with strings.
Enumerated Values​
PropertyValue
qosBEST_EFFORT
qosAT_LEAST_ONCE

SendEventResponse​

{
"eventsSent": 0
}

Properties​

NameTypeRequiredRestrictionsDescription
eventsSentinteger(int32)falsenonenone

ConferencePublishStreamWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"conferenceStreamType": "MIC",
"sdpOffer": "string",
"metadata": {
"property1": {},
"property2": {}
},
"videoBitrate": 30000
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
streamIdstringfalsenoneSupply the streamId. Optional.
conferenceStreamTypestringtruenoneSupply the stream type. One of MIC, CAM, SCREEN or MIC_AND_CAM. Mandatory.
sdpOfferstringfalsenoneSupply the sdpOffer. Mandatory.
metadataobjectfalsenoneStream metadata. Optional
» additionalPropertiesobjectfalsenoneStream metadata. Optional
videoBitrateinteger(int32)falsenoneStream video bitrate. Optional
Enumerated Values​
PropertyValue
conferenceStreamTypeMIC
conferenceStreamTypeCAM
conferenceStreamTypeSCREEN
conferenceStreamTypeMIC_AND_CAM
conferenceStreamTypeUNKNOWN

ConferencePublishResult​

{
"streamId": "string",
"sdpAnswer": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
streamIdstringfalsenonenone
sdpAnswerstringfalsenonenone

LeaveConferenceWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"reason": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
reasonstringfalsenoneSupply a reason for leaving. Optional.

JoinConferenceWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"metadata": {
"property1": {},
"property2": {}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId to join. Mandatory.
userEndpointIdstringtruenoneSupply the userEndpointId of the user that wants to join. Mandatory.
metadataobjectfalsenoneSupply the metadata of the user.
» additionalPropertiesobjectfalsenoneSupply the metadata of the user.

ConferenceSummary​

{
"id": "string",
"version": 0,
"mode": "P2P"
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
versioninteger(int64)falsenonenone
modestringfalsenonenone
Enumerated Values​
PropertyValue
modeP2P
modeROUTER
modeUNKNOWN

AnotherErrorResponse​

{
"error": "string",
"error_description": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
errorstringfalsenonenone
error_descriptionstringfalsenonenone

SetInteractionIdWebCommand​

{
"conferenceId": "string",
"interactionId": "string",
"userEndpointId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenonenone
interactionIdstringtruenonenone
userEndpointIdstringfalsenonenone

EndConferenceWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"reason": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
reasonstringfalsenoneSupply a reason for leaving. Optional.

CreateConferenceWebCommand​

{
"conferenceId": "string",
"mode": "P2P",
"organizationId": "string",
"creatorEndpoint": "string",
"interactionId": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"allowedParticipants": [
"string"
],
"securityScheme": "CUSTOMER_ALLOWLIST_OR_TICKET"
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringfalsenoneSupply the conferenceId. Take care so this value is unique, otherwise better leave this empty and let the server produce one. Optional.
modestringfalsenoneSupply the conference mode. Currently only ROUTER is supported. Optional.
organizationIdstringfalsenoneorganization id, for internal use only
creatorEndpointstringfalsenoneSupply the creator user endpoint id. Optional.
interactionIdstringfalsenoneInteraction id related to this conference
metadataobjectfalsenoneSupply conference metadata. Optional.
» additionalPropertiesstringfalsenoneSupply conference metadata. Optional.
allowedParticipants[string]falsenoneUser IDs pre-authorized to join this conference. Optional.
securitySchemestringfalsenoneSecurity scheme to apply to this conference. Optional. For CUSTOMER_ALLOWLIST_OR_TICKET, customers may join either with a matching conference_id JWT claim or by being listed in allowedParticipants.
Enumerated Values​
PropertyValue
modeP2P
modeROUTER
modeUNKNOWN
securitySchemeCUSTOMER_ALLOWLIST_OR_TICKET

ConferenceViewStreamIceCandidatesWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"viewerId": "string",
"iceCandidates": [
{
"candidate": "string",
"sdpMid": "string",
"sdpMLineIndex": 0
}
]
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
streamIdstringtruenoneSupply the viewing stream id. Mandatory.
viewerIdstringtruenoneSupply the viewer id. Mandatory.
iceCandidates[IceCandidate]truenoneSupply the ice candidates found so far. Mandatory.

IceCandidate​

{
"candidate": "string",
"sdpMid": "string",
"sdpMLineIndex": 0
}

Supply the ice candidates found so far. Mandatory.

Properties​

NameTypeRequiredRestrictionsDescription
candidatestringfalsenonenone
sdpMidstringfalsenonenone
sdpMLineIndexinteger(int32)falsenonenone

ConferencePublishStreamIceCandidatesWebCommand​

{
"conferenceId": "string",
"userEndpointId": "string",
"streamId": "string",
"iceCandidates": [
{
"candidate": "string",
"sdpMid": "string",
"sdpMLineIndex": 0
}
]
}

Properties​

NameTypeRequiredRestrictionsDescription
conferenceIdstringtruenoneSupply the conferenceId. Mandatory.
userEndpointIdstringtruenoneSupply the user endpoint id. Mandatory.
streamIdstringtruenoneSupply the published stream id. Mandatory.
iceCandidates[IceCandidate]truenoneSupply the ice candidates found so far. Mandatory.

Conference​

{
"id": "string",
"mode": "P2P",
"organizationId": "string",
"interactionId": "string",
"creator": "string",
"creatorEndpoint": "string",
"participants": [
{
"id": "string",
"userId": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "MIC",
"metadata": {
"property1": {},
"property2": {}
},
"videoBitrate": 0
}
],
"metadata": {
"property1": {},
"property2": {}
}
}
],
"allowedParticipants": [
"string"
],
"securityScheme": "CUSTOMER_ALLOWLIST_OR_TICKET",
"metadata": {
"property1": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
},
"property2": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
}
},
"version": 0,
"empty": true
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
modestringfalsenonenone
organizationIdstringfalsenonenone
interactionIdstringfalsenonenone
creatorstringfalsenonenone
creatorEndpointstringfalsenonenone
participants[ConferenceParticipant]falsenonenone
allowedParticipants[string]falsenonenone
securitySchemestringfalsenonenone
metadataobjectfalsenonenone
» additionalPropertiesMetadatafalsenonenone
versioninteger(int64)falsenonenone
emptybooleanfalsenonenone
Enumerated Values​
PropertyValue
modeP2P
modeROUTER
modeUNKNOWN
securitySchemeCUSTOMER_ALLOWLIST_OR_TICKET

ConferenceParticipant​

{
"id": "string",
"userId": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "MIC",
"metadata": {
"property1": {},
"property2": {}
},
"videoBitrate": 0
}
],
"metadata": {
"property1": {},
"property2": {}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
userIdstringfalsenonenone
statestringfalsenonenone
streams[ConferenceStream]falsenonenone
metadataobjectfalsenonenone
» additionalPropertiesobjectfalsenonenone
Enumerated Values​
PropertyValue
stateHEALTHY
stateSICK
stateUNKNOWN

ConferenceStream​

{
"id": "string",
"type": "MIC",
"metadata": {
"property1": {},
"property2": {}
},
"videoBitrate": 0
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
typestringfalsenonenone
metadataobjectfalsenonenone
» additionalPropertiesobjectfalsenonenone
videoBitrateinteger(int32)falsenonenone
Enumerated Values​
PropertyValue
typeMIC
typeCAM
typeSCREEN
typeMIC_AND_CAM
typeUNKNOWN

Metadata​

{
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
}

Properties​

NameTypeRequiredRestrictionsDescription
valuestringfalsenonenone
userIdstringfalsenonenone
userEndpointIdstringfalsenonenone
lastModifiedstring(date-time)falsenonenone

ConferenceSimpleView​

{
"id": "string",
"mode": "string",
"metadata": {
"property1": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
},
"property2": {
"value": "string",
"userId": "string",
"userEndpointId": "string",
"lastModified": "2019-08-24T14:15:22Z"
}
},
"participants": [
{
"id": "string",
"endpoints": [
{
"id": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "string",
"metadata": {
"property1": {},
"property2": {}
}
}
],
"metadata": {
"property1": {},
"property2": {}
}
}
]
}
],
"version": 0
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
modestringfalsenonenone
metadataobjectfalsenonenone
» additionalPropertiesMetadatafalsenonenone
participants[ConferenceSimpleViewParticipant]falsenonenone
versioninteger(int64)falsenonenone

ConferenceSimpleViewParticipant​

{
"id": "string",
"endpoints": [
{
"id": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "string",
"metadata": {
"property1": {},
"property2": {}
}
}
],
"metadata": {
"property1": {},
"property2": {}
}
}
]
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
endpoints[ConferenceSimpleViewParticipantEndpoint]falsenonenone

ConferenceSimpleViewParticipantEndpoint​

{
"id": "string",
"state": "HEALTHY",
"streams": [
{
"id": "string",
"type": "string",
"metadata": {
"property1": {},
"property2": {}
}
}
],
"metadata": {
"property1": {},
"property2": {}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
statestringfalsenonenone
streams[ConferenceSimpleViewParticipantEndpointStream]falsenonenone
metadataobjectfalsenonenone
» additionalPropertiesobjectfalsenonenone
Enumerated Values​
PropertyValue
stateHEALTHY
stateSICK
stateUNKNOWN

ConferenceSimpleViewParticipantEndpointStream​

{
"id": "string",
"type": "string",
"metadata": {
"property1": {},
"property2": {}
}
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone
typestringfalsenonenone
metadataobjectfalsenonenone
» additionalPropertiesobjectfalsenonenone

ConferenceEvent​

{
"id": "string",
"type": "string",
"timestamp": "2019-08-24T14:15:22Z",
"conferenceId": "string",
"organizationId": "string",
"conferenceVersion": 0
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenoneevent unique id
typestringfalsenoneevent type
timestampstring(date-time)falsenoneevent time, format is "yyyy-MM-dd'T'HH:mm:ss.SSS'Z'"
conferenceIdstringfalsenonethe conference which this event belongs to
organizationIdstringfalsenonethe organizationId
conferenceVersioninteger(int64)falsenonethe conference version this event was produced- can be used for ordering and or deduplication. It contains the version of the conference when the event was generated or null for creation events